public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ronny Gutbrod" <gentoo@tastytea.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/drogon/
Date: Wed, 20 Oct 2021 19:07:28 +0000 (UTC)	[thread overview]
Message-ID: <1634756642.16af2cecd06e3db204fe27ad17b4a252e89a4351.tastytea@gentoo> (raw)

commit:     16af2cecd06e3db204fe27ad17b4a252e89a4351
Author:     Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Wed Oct 20 18:07:10 2021 +0000
Commit:     Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Wed Oct 20 19:04:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=16af2cec

dev-cpp/drogon: Version bump 1.7.3.

Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>

 dev-cpp/drogon/Manifest            |  1 +
 dev-cpp/drogon/drogon-1.7.3.ebuild | 64 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-cpp/drogon/Manifest b/dev-cpp/drogon/Manifest
index 54f3da8e6..90c964273 100644
--- a/dev-cpp/drogon/Manifest
+++ b/dev-cpp/drogon/Manifest
@@ -1,2 +1,3 @@
 DIST drogon-1.7.1.tar.gz 465299 BLAKE2B 72ddcc050333f6ff8d0749c3de5a4db80cf5f36613253d90abcbf8983aa53db44a6a4e71b73cc42c0596684b7a56a1cb69faa348652c0fc673e6be7d3ad383b3 SHA512 8a7cb8aa87cc48b130a5b47558b3c9e2a0af13cd8b76681e42d14a366dac75c88e389f2e2fe03b4f0f1e0e31971a47eee2bf5df8fcb4b79f8ed00d2a592315b6
 DIST drogon-1.7.2.tar.gz 475266 BLAKE2B dff7cdf76b4d30a7cd44f50efcf3b683eefe06e7b0be1fe167f1891370c55ee76b8f6e14582cbfdf0f2b129211301fd9b97e4dc4db313f28fccb21ca6271a57a SHA512 0546a7a6a1a1e9e1ec068cd45d747ccdd62a9bd9042db4941c004fbe795d051b8d115a71f8000352a2d284f141ebad9b66438dfabc255bb24c92bd5a3dc0ed8a
+DIST drogon-1.7.3.tar.gz 483306 BLAKE2B b5b89f678f285de6533480d403725f172b40f1c97057b3234dc5a9456c1e13f3d3b2a11769e78a16199495584a9a411ccdd375090b3770acdff24054bba75060 SHA512 20146bf59898704f3b44778fa46e919d9124ef8a33eb1cfcce7f437507c20920829a0074e1c9e2493a1764b8a36b1a91b03f117fd78e740253b15d2146dca628

diff --git a/dev-cpp/drogon/drogon-1.7.3.ebuild b/dev-cpp/drogon/drogon-1.7.3.ebuild
new file mode 100644
index 000000000..5d3ab972c
--- /dev/null
+++ b/dev-cpp/drogon/drogon-1.7.3.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="C++14/17 based HTTP web application framework"
+HOMEPAGE="https://github.com/drogonframework/drogon"
+SRC_URI="https://github.com/drogonframework/drogon/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+brotli doc examples mariadb postgres redis sqlite +ssl test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-cpp/trantor-1.5.2
+	dev-libs/jsoncpp
+	sys-libs/zlib
+	brotli? ( app-arch/brotli )
+	mariadb? ( dev-db/mariadb:= )
+	postgres? ( dev-db/postgresql:= )
+	redis? ( dev-libs/hiredis )
+	sqlite? ( dev-db/sqlite )
+	ssl? ( dev-libs/openssl )
+"
+DEPEND="
+	${RDEPEND}
+	test? ( dev-cpp/gtest )
+"
+BDEPEND="doc? ( app-doc/doxygen )"
+
+DOCS=( CONTRIBUTING.md ChangeLog.md README.md README.zh-CN.md README.zh-TW.md )
+
+src_prepare() {
+	sed -i '/add_subdirectory(trantor)/d' CMakeLists.txt || die
+	sed -i '/${PROJECT_SOURCE_DIR}\/trantor\/trantor\/tests\/server.pem/d' \
+		lib/tests/CMakeLists.txt || die
+	use ssl || sed -i '/find_package(OpenSSL)/d' CMakeLists.txt || die
+	use doc || sed -i '/find_package(Doxygen/d' CMakeLists.txt || die
+
+	use examples && DOCS+=( "${S}/examples" )
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	local -a mycmakeargs=(
+		"-DBUILD_DOC=$(usex doc)"
+		"-DBUILD_EXAMPLES=NO"
+		"-DBUILD_DROGON_SHARED=YES"
+		"-DBUILD_POSTGRESQL=$(usex postgres)"
+		"-DBUILD_MYSQL=$(usex mariadb)"
+		"-DBUILD_SQLITE=$(usex sqlite)"
+		"-DBUILD_REDIS=$(usex redis)"
+		"-DBUILD_TESTING=$(usex test)"
+		"-DBUILD_BROTLI=$(usex brotli)"
+	)
+	use doc && HTML_DOCS="${BUILD_DIR}/docs/drogon/html/*"
+
+	cmake_src_configure
+}


             reply	other threads:[~2021-10-20 19:08 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-20 19:07 Ronny Gutbrod [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-21 15:16 [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/drogon/ Ronny Gutbrod
2024-07-21 15:16 Ronny Gutbrod
2024-06-28  6:17 Ronny Gutbrod
2024-06-28  6:17 Ronny Gutbrod
2024-05-08 16:50 Ronny Gutbrod
2024-05-08 16:50 Ronny Gutbrod
2024-04-12 23:08 Ronny Gutbrod
2024-04-12 23:08 Ronny Gutbrod
2024-01-15 22:14 Ronny Gutbrod
2024-01-15 22:14 Ronny Gutbrod
2023-11-16 16:31 Ronny Gutbrod
2023-11-16 16:31 Ronny Gutbrod
2023-09-28 12:48 Ronny Gutbrod
2023-09-28 12:48 Ronny Gutbrod
2023-08-26 15:46 Ronny Gutbrod
2023-08-26 15:46 Ronny Gutbrod
2023-03-30 19:49 Ronny Gutbrod
2023-01-29 11:39 Ronny Gutbrod
2023-01-29 11:39 Ronny Gutbrod
2023-01-29 11:39 Ronny Gutbrod
2022-11-13  9:29 Ronny Gutbrod
2022-09-27 10:41 Ronny Gutbrod
2022-09-27 10:41 Ronny Gutbrod
2022-09-08  0:09 Ronny Gutbrod
2022-09-03 19:49 Ronny Gutbrod
2022-08-24 15:52 [gentoo-commits] repo/proj/guru:master " Ronny Gutbrod
2022-08-19 15:49 ` [gentoo-commits] repo/proj/guru:dev " Ronny Gutbrod
2022-08-19 15:49 Ronny Gutbrod
2022-02-26  8:06 Ronny Gutbrod
2022-02-26  8:06 Ronny Gutbrod
2021-12-12 15:28 Ronny Gutbrod
2021-12-12 15:28 Ronny Gutbrod
2021-12-01 11:52 Anna Vyalkova
2021-10-26 15:51 Ronny Gutbrod
2021-10-25 18:52 Ronny Gutbrod
2021-08-24 15:01 Ronny Gutbrod
2021-08-24 14:33 Ronny Gutbrod

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1634756642.16af2cecd06e3db204fe27ad17b4a252e89a4351.tastytea@gentoo \
    --to=gentoo@tastytea.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox